import 'package:flutter/material.dart';
import 'package:transit_navigation_view/transit_navigation_view.dart';

final transitData1 = TransitData(
  dptTime: '10:00',
  arvTime: '10:20',
  numOfTransit: 2,
  totalFee: 2000,
  totalTime: '1時間',
  walkTime: '10分',
  distance: '100m',
  flagRaku: true,
  flagHaya: true,
  flagYasu: true,
  stationDataList: [
    StationData(
      timeString: '10:00',
      stationString: '東京駅',
    ),
    StationData(
      timeString: '10:10',
      stationString: '新宿駅',
    ),
    StationData(
      timeString: '10:20',
      stationString: '渋谷駅',
    ),
    StationData(
      timeString: '10:30',
      stationString: '岐阜駅',
    ),
  ],
  passDataList: [
    PassData(
      passType: PassType.bus,
      timeString: '10分',
      passString: '名城線',
      feeString: '1000円',
    ),
    PassData(
      passType: PassType.subway,
      timeString: '10分',
      passString: '山手線',
      feeString: '1000円',
    ),
    PassData(
      passType: PassType.walk,
      timeString: '10分',
      passString: '徒歩',
      feeString: '',
    ),
  ],
);

final transitData2 = TransitData(
  dptTime: '10:00',
  arvTime: '10:20',
  numOfTransit: 0,
  totalFee: 1000,
  totalTime: '1時間',
  // walkTime: '10分',
  // distance: '100m',
  // flagRaku: true,
  // flagHaya: false,
  // flagYasu: true,
  stationDataList: [
    StationData(
      timeString: '10:00',
      stationString: '東京駅',
    ),
    StationData(
      timeString: '10:10',
      stationString: '新宿駅',
    ),
  ],
  passDataList: [
    PassData(
      // passType: PassType.bus,
      timeString: '10分',
      passString: '名城線',
      feeString: '1000円',
    ),
  ],
);

Widget testWidget = Container(
  height: 50,
  color: Colors.red,
);

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        home: TransitNavigationScaffold(
          bottomWidget: testWidget,
      transitDataList: [transitData1, transitData2],
    )
        // home: Scaffold(
        //   appBar: AppBar(
        //     title: const Text('Plugin example app'),
        //   ),
        //   // body: TransitNavigationView(),
        //   body: _buildTransitSummaryPage(),
        // ),
        );
  }

  Widget _buildTransitSummaryPage() {
    // return TransitNavigationSummaryView(listTransitData: [transitData1, transitData2]);
    return TransitNavigationDetailView(transitData: transitData1);
    // return TransitNavigationDetailView(transitData: transitData2);
  }
}
