import 'package:flutter/material.dart';
import 'package:transit_navigation_view/transit_navigation_view.dart';
import 'package:transit_navigation_view/summary_page.dart';
import 'package:transit_navigation_view/detail_page.dart';

class ScaffoldContent extends StatefulWidget {
  List<TransitData> transitDataList;
  Widget? bottomWidget;
  ScaffoldContent({Key? key, required this.transitDataList, this.bottomWidget}) : super(key: key);

  @override
  _ScaffoldContentState createState() => _ScaffoldContentState();
}

class _ScaffoldContentState extends State<ScaffoldContent>
    with TickerProviderStateMixin {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    int numTabs = widget.transitDataList.length + 1;
    bool showBottomWidget = widget.bottomWidget != null;

    return DefaultTabController(
      length: numTabs,
      child: Scaffold(
        bottomNavigationBar: showBottomWidget ? SafeArea(
          child: IntrinsicHeight(
            child: Center(
              child: widget.bottomWidget,
            ),
          ),
        ) : null,
        appBar: AppBar(
          bottom: TabBar(
            tabs: List<Widget>.generate(numTabs, (index) {
              if (index == 0) {
                return Tab(text: "一覧");
              } else {
                return Tab(text: "経路$index");
              }
            }),
          ),
          title: const Text('検索結果'),
        ),
        body: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            Expanded(
              child: TabBarView(
                children: List<Widget>.generate(numTabs, (index) {
                  if (index == 0) {
                    return SummaryViewContent(
                        listTransitData: widget.transitDataList);
                  } else {
                    return DetailViewContent(
                        transitData: widget.transitDataList[index - 1]);
                  }
                }),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
